> ## Documentation Index
> Fetch the complete documentation index at: https://arizeai-433a7140.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get incomplete evaluations for an experiment

> Get experiment runs that have incomplete evaluations.

Returns runs with:
- Missing evaluations (evaluator has not been run)
- Failed evaluations (evaluator ran but has errors)

Args:
    experiment_id: The ID of the experiment
    evaluation_name: List of evaluation names to check (required, at least one)
    cursor: Cursor for pagination
    limit: Maximum number of results to return

Returns:
    Paginated list of runs with incomplete evaluations



## OpenAPI

````yaml get /v1/experiments/{experiment_id}/incomplete-evaluations
openapi: 3.1.0
info:
  title: Arize-Phoenix REST API
  description: Schema for Arize-Phoenix REST API
  version: '1.0'
servers: []
security: []
paths:
  /v1/experiments/{experiment_id}/incomplete-evaluations:
    get:
      tags:
        - experiments
      summary: Get incomplete evaluations for an experiment
      description: |-
        Get experiment runs that have incomplete evaluations.

        Returns runs with:
        - Missing evaluations (evaluator has not been run)
        - Failed evaluations (evaluator ran but has errors)

        Args:
            experiment_id: The ID of the experiment
            evaluation_name: List of evaluation names to check (required, at least one)
            cursor: Cursor for pagination
            limit: Maximum number of results to return

        Returns:
            Paginated list of runs with incomplete evaluations
      operationId: getIncompleteExperimentEvaluations
      parameters:
        - name: experiment_id
          in: path
          required: true
          schema:
            type: string
            title: Experiment Id
        - name: evaluation_name
          in: query
          required: false
          schema:
            type: array
            items:
              type: string
            description: Evaluation names to check
            default: []
            title: Evaluation Name
          description: Evaluation names to check
        - name: cursor
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: Cursor for pagination
            title: Cursor
          description: Cursor for pagination
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            exclusiveMinimum: 0
            description: Maximum number of runs with incomplete evaluations to return
            default: 50
            title: Limit
          description: Maximum number of runs with incomplete evaluations to return
      responses:
        '200':
          description: Incomplete evaluations retrieved successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetIncompleteEvaluationsResponseBody'
        '400':
          content:
            text/plain:
              schema:
                type: string
          description: No evaluator names provided
        '403':
          description: Forbidden
          content:
            text/plain:
              schema:
                type: string
        '404':
          content:
            text/plain:
              schema:
                type: string
          description: Experiment not found
        '422':
          content:
            text/plain:
              schema:
                type: string
          description: Invalid cursor format
components:
  schemas:
    GetIncompleteEvaluationsResponseBody:
      properties:
        data:
          items:
            $ref: '#/components/schemas/IncompleteExperimentEvaluation'
          type: array
          title: Data
        next_cursor:
          anyOf:
            - type: string
            - type: 'null'
          title: Next Cursor
      type: object
      required:
        - data
        - next_cursor
      title: GetIncompleteEvaluationsResponseBody
    IncompleteExperimentEvaluation:
      properties:
        experiment_run:
          $ref: '#/components/schemas/ExperimentRun'
          description: The experiment run
        dataset_example:
          $ref: '#/components/schemas/DatasetExample'
          description: The dataset example
        evaluation_names:
          items:
            type: string
          type: array
          title: Evaluation Names
          description: >-
            List of evaluation names that are incomplete (either missing or
            failed)
      type: object
      required:
        - experiment_run
        - dataset_example
        - evaluation_names
      title: IncompleteExperimentEvaluation
      description: Information about an experiment run with incomplete evaluations
    ExperimentRun:
      properties:
        dataset_example_id:
          type: string
          title: Dataset Example Id
          description: The ID of the dataset example used in the experiment run
        output:
          title: Output
          description: The output of the experiment task
        repetition_number:
          type: integer
          exclusiveMinimum: 0
          title: Repetition Number
          description: The repetition number of the experiment run
        start_time:
          type: string
          format: date-time
          title: Start Time
          description: The start time of the experiment run
        end_time:
          type: string
          format: date-time
          title: End Time
          description: The end time of the experiment run
        trace_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Trace Id
          description: The ID of the corresponding trace (if one exists)
        error:
          anyOf:
            - type: string
            - type: 'null'
          title: Error
          description: Optional error message if the experiment run encountered an error
        id:
          type: string
          title: Id
          description: The ID of the experiment run
        experiment_id:
          type: string
          title: Experiment Id
          description: The ID of the experiment
      type: object
      required:
        - dataset_example_id
        - output
        - repetition_number
        - start_time
        - end_time
        - id
        - experiment_id
      title: ExperimentRun
    DatasetExample:
      properties:
        id:
          type: string
          title: Id
        node_id:
          type: string
          title: Node Id
        input:
          additionalProperties: true
          type: object
          title: Input
        output:
          additionalProperties: true
          type: object
          title: Output
        metadata:
          additionalProperties: true
          type: object
          title: Metadata
        updated_at:
          type: string
          format: date-time
          title: Updated At
        source:
          anyOf:
            - $ref: '#/components/schemas/DatasetExampleSource'
            - type: 'null'
      type: object
      required:
        - id
        - node_id
        - input
        - output
        - metadata
        - updated_at
      title: DatasetExample
    DatasetExampleSource:
      properties:
        span_id:
          type: string
          title: Span Id
        span_node_id:
          type: string
          title: Span Node Id
      type: object
      required:
        - span_id
        - span_node_id
      title: DatasetExampleSource

````